お問い合わせ

WordPress 6.4.3の zip ファイルによるプラグイン・テーマのアップロードで、MacOS の Finder で作成した zip ファイルがエラーになる問題

SWELLの子テーマでも同じ問題で盛り上がっていましたが、WordPress 6.4.3の zip ファイルによるプラグイン・テーマのアップロードで、MacOS の Finder で作成した zip ファイルがエラーになる問題があるようです。

WordPress公式テーマやWordpress公式プラグインからダウンロード⇒アップロードであれば問題は起きないですが、野良テーマやプラグインだと問題が起きる可能性があります。

WordPress6.4.3固有の問題のようですので、次のバージョンアップ(6.4.4)で解消するまで待つ必要はありません。

世界的に問題になっている

WordPressの公式でも同じように騒ぎになっています。

mac+safariのユーザーはzipファイルをダウンロードすると展開されてしまいます。問題のあるzipファイルではなくても、再度macで圧縮すると問題のあるzipファイルが出来上がってしまいます。

WordPressコア開発側とユーザーのこの問題に対する温度差があって面白いです。

回避方法

こまごまとした回避方法はありますが、Windows/macともに確実なのはWordpressを6.4.3からダウングレードすることです。

それができない場合は、一昔前と同じように必要なフォルダだけ、FTPでアップロードする方法になります。

まとめ

WordPress6.4.3はマイナーアップデートのハズだったのに、大きな問題を引き起こしてしまいました。

役に立ったら他の人にもシェア!
  • URLをコピーしました!
  • URLをコピーしました!

この記事を書いた人

Wordpressのカスタマイズ歴10年のプロです。無料から有料までWordpressテーマの使用経験は豊富。SWELLやCocoon、Snowmonkey、Arkheなどテーマのカスタマイズに関する知見も深い。Webサイト制作からカスタマイズまで仕事を請け負った実績は多数あり。
第二種情報処理技術者試験(合格率:15.5%)、Google アナリティクス上級者向けコースGoogle タグ マネージャーの基礎コース上級ウェブ解析士HTML5プロフェッショナル認定 レベル2

コメントを閉じる

コメント

コメントする

コメントは日本語で入力してください。(スパム対策)

クリックできる目次